<template>
    <b-container>
        <b-row>
            <b-button v-b-toggle.sidebar-backdrop class="button-menu">
                <b-icon-list></b-icon-list>
            </b-button>
            <div class="link-group">
                <b-link :to="{name: 'home'}"><span>Home</span></b-link>
                <b-link :to="{name: 'search'}"><span>Ricerca tweet</span></b-link>
                <b-link :to="{name: 'fanta'}"><span>FantaCitorio</span></b-link>
                <b-link :to="{name: 'ghigliottina'}"><span>Ghigliottina</span></b-link>
                <b-link :to="{name: 'chess'}"><span>Scacchi</span></b-link>
            </div>
            <div class="logo">
              <h5>Twitter Archive</h5>
              <img src="../assets/logo.png" alt="logo">
            </div>
        </b-row>
        <MenuComponent/>
    </b-container>
</template>

<script>
import MenuComponent from './MenuComponent.vue'

export default {
  name: 'HeaderComponent',
  components: {
    MenuComponent
  }
}
</script>

<style scoped>
.container {
    border-bottom: 1px solid lightgrey;
    margin: 0;
    width: 100%;
    max-width: 100%;
    padding: 0 1rem;
}
.row {
    margin: 0;
    padding: 1rem 0;
    display: flex;
    justify-content: space-between;
    align-items: center;
}
img {
    width: 2rem;
    height: 2rem;
}
.button-menu, .button-menu:active, .button-menu:hover, .button-menu:focus {
    background-color: transparent!important;
    border: none!important;
}
.button-menu .b-icon.bi {
    color: rgb(29, 155, 240);
}

.link-group a {
    color: rgb(29, 155, 240);
    margin-right: 1rem
}

span:hover{
  color:  #0A66A3;
}

.logo {
  display: flex;
  align-items: center;
  justify-content: end;
  color: #00aced;
}

.logo h5 {
  margin-bottom: 0px;
  margin-right: 0.5rem;
}

@media only screen and (max-width: 599px) {
  .link-group {
    display: none;
  }
}
@media (min-width: 600px) {
  .button-menu {
    display: none;
  }
}
</style>
